## org.apache.batik.ext.awt.geom
Class SegmentList

    java.lang.Object
      org.apache.batik.ext.awt.geom.SegmentList

    public class SegmentList

extends java.lang.Object

A class representing a list of path segments.

Nested Class Summary
`static class` `SegmentList.SplitResults` read-only helper class to represent a split-result.

Constructor Summary
`SegmentList()`
`SegmentList(java.awt.Shape s)`

Method Summary
`void` `add(Segment s)`
`java.awt.geom.Rectangle2D` `getBounds2D()`
`java.util.Iterator` `iterator()`
`int` `size()`
`SegmentList.SplitResults` `split(double y)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SegmentList

    public SegmentList()

### SegmentList

    public SegmentList(java.awt.Shape s)

Method Detail

### getBounds2D

    public java.awt.geom.Rectangle2D getBounds2D()

### add

    public void add(Segment s)

### iterator

    public java.util.Iterator iterator()

### size

    public int size()

### split

    public SegmentList.SplitResults split(double y)

Copyright © 2008 Apache Software Foundation. All Rights Reserved.